Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Bump to 0.1.0

  • Loading branch information...
commit 5fc3ae7f52e8a35126f0f3f942c8b662d13751df 1 parent 9641f3e
Thibaud Guillaume-Gentil authored
View
8 Gemfile.lock
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- guard (0.1.0.beta.1)
+ guard (0.1.0)
bundler (~> 1.0.2)
growl (~> 1.0.3)
libnotify (~> 0.1.3)
@@ -16,8 +16,8 @@ GEM
ffi (0.6.3)
rake (>= 0.8.7)
growl (1.0.3)
- guard-rspec (0.1.0.beta.2)
- guard (~> 0.1.0.beta.1)
+ guard-rspec (0.1.0)
+ guard (~> 0.1.0.beta.2)
rspec (~> 2.0.0.rc)
libnotify (0.1.4)
ffi (>= 0.6.2)
@@ -44,7 +44,7 @@ DEPENDENCIES
bundler (~> 1.0.2)
growl (~> 1.0.3)
guard!
- guard-rspec (~> 0.1.0.beta.2)
+ guard-rspec (~> 0.1.0)
libnotify (~> 0.1.3)
rb-inotify (~> 0.8.1)
rspec (~> 2.0.0.rc)
View
17 Rakefile
@@ -3,4 +3,19 @@ Bundler::GemHelper.install_tasks
require 'rspec/core/rake_task'
RSpec::Core::RakeTask.new(:spec)
-task :default => :spec
+task :default => :spec
+
+namespace(:spec) do
+ desc "Run all specs on multiple ruby versions (requires rvm)"
+ task(:portability) do
+ %w[1.8.7 1.9.2].each do |version|
+ system <<-BASH
+ bash -c 'source ~/.rvm/scripts/rvm;
+ rvm #{version};
+ echo "--------- version #{version} ----------\n";
+ bundle install;
+ rake spec'
+ BASH
+ end
+ end
+end
View
6 guard.gemspec
@@ -9,14 +9,14 @@ Gem::Specification.new do |s|
s.authors = ['Thibaud Guillaume-Gentil']
s.email = ['thibaud@thibaud.me']
s.homepage = 'http://rubygems.org/gems/guard'
- s.summary = 'Guard keep an eye on your files event'
- s.description = 'Guard is a command line tool to easly manage script launch when your files change'
+ s.summary = 'Guard keep an eye on your files modifications.'
+ s.description = 'Guard is a command line tool to easly handle events on files modifications.'
s.required_rubygems_version = '>= 1.3.6'
s.rubyforge_project = 'guard'
s.add_development_dependency 'rspec', '~> 2.0.0.rc'
- s.add_development_dependency 'guard-rspec', '~> 0.1.0.beta.2'
+ s.add_development_dependency 'guard-rspec', '~> 0.1.0'
s.add_dependency 'bundler', '~> 1.0.2'
s.add_dependency 'thor', '~> 0.14.3'
View
2  lib/guard.rb
@@ -19,7 +19,7 @@ def start(options = {})
Dsl.evaluate_guardfile
if guards.empty?
- UI.error "No guards found in Guardfile, too bad."
+ UI.error "No guards found in Guardfile, please add it at least one."
else
Interactor.init_signal_traps
View
8 lib/guard/cli.rb
@@ -8,12 +8,12 @@ class CLI < Thor
desc "start", "Starts guard"
method_option :clear, :type => :boolean, :default => false, :aliases => '-c', :banner => "Auto clear shell after each change"
def start
- Guard.start(options)
+ ::Guard.start(options)
end
desc "version", "Prints the guard's version information"
def version
- Guard::UI.info "Guard version #{Guard::VERSION}"
+ ::Guard::UI.info "Guard version #{Guard::VERSION}"
end
map %w(-v --version) => :version
@@ -23,12 +23,12 @@ def init(guard_name = nil)
puts "Writing new Guardfile to #{Dir.pwd}/Guardfile"
FileUtils.cp(File.expand_path('../templates/Guardfile', __FILE__), 'Guardfile')
elsif guard_name.nil?
- Guard::UI.error "Guardfile already exists at #{Dir.pwd}/Guardfile"
+ ::Guard::UI.error "Guardfile already exists at #{Dir.pwd}/Guardfile"
exit 1
end
if guard_name
- guard_class = Guard.get_guard_class(guard_name)
+ guard_class = ::Guard.get_guard_class(guard_name)
guard_class.init(guard_name)
end
end
View
2  lib/guard/version.rb
@@ -1,3 +1,3 @@
module Guard
- VERSION = "0.1.0.beta.2"
+ VERSION = "0.1.0"
end
Please sign in to comment.
Something went wrong with that request. Please try again.